<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
    <meta charset="UTF-8"/>
    <title>Chargement des données de référence</title>
</head>
<body
        style="p: before .success, li:before .success{
            background-image:
                url(http://images4.wikia.nocookie.net/__cb20101013160837/sims/fr/images/d/dd/Ic%C3%B4ne_Valid.png); content: '&amp;gt;'">
<h3>On charge les données de référence.</h3>
<table
        concordion:execute="#uploadMetadata=uploadMetadata(#metadata, #file)">
    <tr>
        <th concordion:set="#metadata">Type de données</th>
        <th concordion:set="#file">Chemin du fichier</th>
        <th concordion:assertEquals="#uploadMetadata">Chargé</th>
        <th concordion:assertEquals="isConformeFile(#metadata, #file)">Fichier conforme</th>
        <th concordion:assertEquals="getFirstLine(#metadata)">Première ligne</th>
    </tr>
    <tr>
        <td>context/agroecosysteme</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/agroecosysteme.csv</td>
        <td>true</td>
        <td>true</td>
        <td>grandes_cultures_et_cultures_dediees_a_la_production_de_biomasse Grandes cultures et cultures dédiées à la
            production de biomasse Crops and crops dedicated to biomass production Picardie Somme
        </td>
    </tr>
    <tr>
        <td>context/sites</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/sites.csv</td>
        <td>true</td>
        <td>true</td>
        <td>grandes_cultures_et_cultures_dediees_a_la_production_de_biomasse estrees-mons Estrées-Mons Estrées-Mons
            Estrées-Mons 2 chaussée brunehault 49°52'16.40 N 3°01'46.9E plaine céréalière semi océanique 610.0 11.0 W
            3.1 orthic luvicol 3.2 85.0 17/03/2010
        </td>
    </tr>
    <tr>
        <td>context/themes</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/themes_sol.csv</td>
        <td>true</td>
        <td>true</td>
        <td>Flux gazeux Flux gazeux gas flow désigne les mesures de flux de gaz issues de l'instrumentation (tour à flux
            ou autres dispositif comme les chambres) refers to measures gas flow from the instrumentation (flux tower or
            other device such as bedrooms)
        </td>
    </tr>
    <tr>
        <td>context/blocs</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/blocs.csv</td>
        <td>true</td>
        <td>true</td>
        <td>lusignan 1 01/04/2005</td>
    </tr>
    <tr>
        <td>context/parcelle</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/parcelle.csv</td>
        <td>true</td>
        <td>true</td>
        <td>estrees-mons 1 a01 A01 A01 5040.0 17/03/2010</td>
    </tr>
    <tr>
        <td>context/types_de_donnees_par_themes_de_sites_et_parcelles</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/types_de_donnees_par_themes_de_sites_et_parcelles_sol.csv</td>
        <td>true</td>
        <td>true</td>
        <td>estrees-mons sol sol_analyse</td>
    </tr>
    <tr>
        <td>measurement/unites</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/unites.csv</td>
        <td>true</td>
        <td>true</td>
        <td>% % % pourcentage pourcentage percentage</td>
    </tr>
    <tr>
        <td>measurement/variables</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/variables.csv</td>
        <td>true</td>
        <td>true</td>
        <td>AL_ECH Teneur en Aluminium échangeable Exchangeable Aluminum content AL_ECH Teneur en Aluminium échangeable
            Exchangeable Aluminum content false
        </td>
    </tr>
    <!--                    <tr>
                            <td>measurement/variables</td>
                            <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/variables_sol.csv</td>
                            <td>true</td>
                            <td>true</td>
                            <td>AL_ECH Teneur en Aluminium échangeable Exchangeable Aluminum content AL_ECH Teneur en Aluminium échangeable Exchangeable Aluminum content false</td>
                        </tr>-->
    <tr>
        <td>measurement/variables_et_unites_par_types_de_donnees</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/variables_et_unites_par_types_de_donnees_sol.csv</td>
        <td>true</td>
        <td>true</td>
        <td>sol_analyse AL_ECH cmol+/kg null null</td>
    </tr>
    <tr>
        <td>management_practices/traitement_programme</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/traitement_programme.csv</td>
        <td>true</td>
        <td>true</td>
        <td>estrees-mons sn1 SN1 SN1 SN1 SN1 Sol maintenu nu, sans végétation, Travail du sol : labour Sol kept bare,
            without vegetation, Tillage: Tillage &gt;240 &gt;240 17/03/2010
        </td>
    </tr>
    <tr>
        <td>management_practices/variables_de_description</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/variables_de_description.csv</td>
        <td>true</td>
        <td>true</td>
        <td>chargement Chargement Load Chargement Load variable_de_forcage</td>
    </tr>
    <tr>
        <td>management_practices/listes_itineraire</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/listes_itineraire.csv</td>
        <td>true</td>
        <td>true</td>
        <td>aut_nature aut_nature aut_nature arrosage arrosage watering</td>
    </tr>
    <tr>
        <td>management_practices/modalites</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/modalites.csv</td>
        <td>true</td>
        <td>true</td>
        <td>chargement C+ fort strong fort fort</td>
    </tr>
    <tr>
        <td>management_practices/suivi_parcelle</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/suivi_parcelle.csv</td>
        <td>true</td>
        <td>true</td>
        <td>estrees-mons t4 a01 19/03/2010</td>
    </tr>
    <tr>
        <td>management_practices/version_de_traitement</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/version_de_traitement.csv</td>
        <td>true</td>
        <td>true</td>
        <td>estrees-mons t1 1 17/03/2010 version initiale initial version FC,GR,R5,WL</td>
    </tr>
    <tr>
        <td>soils_description/soil_lists</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/listes_sol.csv</td>
        <td>true</td>
        <td>true</td>
        <td>met_analyse_soil_element met_analyse_soil_element met_analyse_soil_element AL_ECH AL_ECH AL_ECH</td>
    </tr>
    <tr>
        <td>soils_description/methode_sol_obtention_echantillon</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/methode_sol_obtention_echantillon.csv</td>
        <td>true</td>
        <td>true</td>
        <td>501 n prélèvements = n échantillons = n analyses n prélèvements = n échantillons = n analyses "Moyenne et
            écart type à la parcelle des variables d'intérêts (Stocks) calculés le plus tard possible, avec autant de
            répétition pour chaque échantillon et chaque étape du calcul (masse de sol, teneur en élément issu des
            analyses en laboratoire) --&gt; Analyse et calcul pour chaque échantillon individuellement et moyenne le
            plus tard possible Par exemple: Prélèvement de X répétitions de carottes de sol par parcelle, découpage par
            horizon, séchage des échantillons, tamisage et broyage fin, analyse au laboratoire par échantillon (Parcelle
            x n repétition x horizon), calcul des variables par échantillon (Stocks en éléments...), Puis, moyennes et
            écart-types par parcelle. NB: le nb de prélèvement et leur surface est renseigné dans le fichier XXX"
            "Moyenne et écart type à la parcelle des variables d'intérêts (Stocks) calculés le plus tard possible, avec
            autant de répétition pour chaque échantillon et chaque étape du calcul (masse de sol, teneur en élément issu
            des analyses en laboratoire) --&gt; Analyse et calcul pour chaque échantillon individuellement et moyenne le
            plus tard possible Par exemple: Prélèvement de X répétitions de carottes de sol par parcelle, découpage par
            horizon, séchage des échantillons, tamisage et broyage fin, analyse au laboratoire par échantillon (Parcelle
            x n repétition x horizon), calcul des variables par échantillon (Stocks en éléments...), Puis, moyennes et
            écart-types par parcelle. NB: le nb de prélèvement et leur surface est renseigné dans le fichier XXX" 1
            prélèvement constitue 1 échantillon (sans considérer l'étape de découpage en horizon qui est réalisée au
            laboratoire) 1 prélèvement constitue 1 échantillon (sans considérer l'étape de découpage en horizon qui est
            réalisée au laboratoire) L'assemblage des données à la parcelle est réalisé les plus tard possible en
            faisant des moyennes des variables calculées sur les n répétitions du prélèvement par parcelle L'assemblage
            des données à la parcelle est réalisé les plus tard possible en faisant des moyennes des variables calculées
            sur les n répétitions du prélèvement par parcelle Chaque échantillon a été séché à 35°C pendant 96 heures,
            puis tamisé à 2 mm, puis broyé fin à 1 micron, avant d'être analysé par un laboratoire d'analyse. Chaque
            échantillon a été séché à 35°C pendant 96 heures, puis tamisé à 2 mm, puis broyé fin à 1 micron, avant
            d'être analysé par un laboratoire d'analyse.
        </td>
    </tr>
    <tr>
        <td>soils_description/methode_sol_analyse</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/methode_sol_analyse.csv</td>
        <td>true</td>
        <td>true</td>
        <td>601 Méthode pour Humidité Résiduelle Méthode pour Humidité Résiduelle Méthode pour déterminer l'Humidité
            Résiduelle comme étant : Eau extraite par séchage à 105°C de l'échantillon préalablement séché à l'air ou à
            basse température rapportée à la masse de cet échantillon séché à l'air ou à basse température. Méthode pour
            déterminer l'Humidité Résiduelle comme étant : Eau extraite par séchage à 105°C de l'échantillon
            préalablement séché à l'air ou à basse température rapportée à la masse de cet échantillon séché à l'air ou
            à basse température. 166.1 NF ISO 11465 Hum_Res SOL-0201
        </td>
    </tr>
    <tr>
        <td>soils_description/methode_sol_densite</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/methode_sol_densite.csv</td>
        <td>true</td>
        <td>true</td>
        <td>701 Densité apparente de terre fine sur prélèvement de sol au carottier et mesure au laboratoire da_tf
            Apparent density of fine soil on corer soil sampling and measurement at the laboratory da_tf Densité
            apparente de terre fine calculée à partir d&apos;un prélèvement de sol au carottier cylindrique (environ 8cm
            de diamètre), de longueur connue, échantillon pour lequel il y a séparation des différents compartiment et
            mesures au laboratoire (de la masse sèche des parties de terre fine (&lt;2mm), d&apos;éléments grossiers (&gt;2mm),
            de racines, et du volume des éléments grossiers (&gt;2mm)). La masse volumique apparente est exprimée en g
            de sol fin séché à 105°C/cm3 de sol fin et de racines. Densité apparente de terre fine calculée à partir d&apos;un
            prélèvement de sol au carottier cylindrique (environ 8cm de diamètre), de longueur connue, échantillon pour
            lequel il y a séparation des différents compartiment et mesures au laboratoire (de la masse sèche des
            parties de terre fine (&lt;2mm), d&apos;éléments grossiers (&gt;2mm), de racines, et du volume des éléments
            grossiers (&gt;2mm)). La masse volumique apparente est exprimée en g de sol fin séché à 105°C/cm3 de sol fin
            et de racines. 0,1 null
        </td>
    </tr>
    <tr>
        <td>soils_description/methode_sol_stock_calcule</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/methode_sol_stock_calcule.csv</td>
        <td>true</td>
        <td>true</td>
        <td>901 Stock d'élément contenu dans la terre fine du sol pour une strate donnée Stock d'élément contenu dans la
            terre fine du sol pour une strate donnée "Calcul du stock d'élément, pour une strate d'épaisseur donnée.
            STOCK = teneur élément x masse de terre fine, avec, masse de terre fine = densité apparente sur la terre
            fine * épaisseur de la couche *(1 - Taux volumique d'éléments grossiers) teneur élement = masse d'élément
            par masse de terre fine séchée à 105°C. Si la teneur élément founie par le laboratoire est exprimée par
            masse de terre fine séchée à 105°C, il n'y a pas de correction à faire. Si la teneur élement founie par le
            laboratoire n'est pas exprimée par masse de terre fine séchée à 105°C, il faut effectuer une correction de
            la teneur élement par l'humidité résiduelle de l'échantillon. Dans ce cas, on calcule : teneur élement à
            105°C = teneur élément sec à l'air / (1000 - Hum))*1000, où Hum=humidité résiduelle en g eau / Kg de terre
            fine sec à l'air" "Calcul du stock d'élément, pour une strate d'épaisseur donnée. STOCK = teneur élément x
            masse de terre fine, avec, masse de terre fine = densité apparente sur la terre fine * épaisseur de la
            couche *(1 - Taux volumique d'éléments grossiers) teneur élement = masse d'élément par masse de terre fine
            séchée à 105°C. Si la teneur élément founie par le laboratoire est exprimée par masse de terre fine séchée à
            105°C, il n'y a pas de correction à faire. Si la teneur élement founie par le laboratoire n'est pas exprimée
            par masse de terre fine séchée à 105°C, il faut effectuer une correction de la teneur élement par l'humidité
            résiduelle de l'échantillon. Dans ce cas, on calcule : teneur élement à 105°C = teneur élément sec à l'air /
            (1000 - Hum))*1000, où Hum=humidité résiduelle en g eau / Kg de terre fine sec à l'air"
        </td>
    </tr>
    <tr>
        <td>soils_description/methode_sol_elements_grossiers</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/methode_sol_elements_grossiers.csv</td>
        <td>true</td>
        <td>true</td>
        <td>801 Carottier cylindrique et déterminations au laboratoire (de la masse sèche des parties de terre fine (&lt;2mm),
            d'éléments grossiers (&gt;2mm), de racines, et du volume des éléments grossiers (&gt;2mm)). Carottier
            cylindrique et déterminations au laboratoire (de la masse sèche des parties de terre fine (&lt;2mm),
            d'éléments grossiers (&gt;2mm), de racines, et du volume des éléments grossiers (&gt;2mm)). "Carottier
            cylindrique et déterminations au laboratoire (de la masse sèche des parties de terre fine (&lt;2mm),
            d'éléments grossiers (&gt;2mm), de racines, et du volume des éléments grossiers (&gt;2mm)). Ces
            déterminations s'effectuent au laboratoire en traitant l'entièreté de l'échantillon de sol prélevé par la
            carottier et en effectuant sa séparation en trois parties complémentaires (terre fine &lt;2mm, éléments
            grossiers &gt;2mm, racines). Volumage des éléments grossiers par déplacement d'eau. Calcul du taux
            d'éléments grossiers=Volume éléments grossiers /volume du prélèvement effectué par le carottier, en
            cm3/cm3." "Carottier cylindrique et déterminations au laboratoire (de la masse sèche des parties de terre
            fine (&lt;2mm), d'éléments grossiers (&gt;2mm), de racines, et du volume des éléments grossiers (&gt;2mm)).
            Ces déterminations s'effectuent au laboratoire en traitant l'entièreté de l'échantillon de sol prélevé par
            la carottier et en effectuant sa séparation en trois parties complémentaires (terre fine &lt;2mm, éléments
            grossiers &gt;2mm, racines). Volumage des éléments grossiers par déplacement d'eau. Calcul du taux
            d'éléments grossiers=Volume éléments grossiers /volume du prélèvement effectué par le carottier, en
            cm3/cm3." 0.1 ISO 16720
        </td>
    </tr>
    <tr>
        <td>soils_description/methode_sol_texture</td>
        <td>../src/test/resources/org/inra/ecoinfo/acbb/fichiers/refdatas/methode_sol_texture.csv</td>
        <td>true</td>
        <td>true</td>
        <td>1001 Granulométrie 8 fractions sans décarbonatation to do Granulométrie 8 fractions SANS décarbonatation
            (obtenue par sédimentation et tamisage), exprimée en g/kg de la phase minérale (somme des 8 fractions =
            1000) to do null null argiles_(&lt;2µm), limons_fins_(2-20µm), limons_grossiers_(20-50µm),
            sables_fins_01_(50-100µm), sables_fins_02_(100-200µm), sables_grossiers_01_(200-500µm),
            sables_grossiers_02_(500-1000µm), sables_grossiers_03_(1000-2000µm) SOL-0303
        </td>
    </tr>
</table>
</body>
</html>